API reference
Get credit balance and pricing
Returns the account balance and the rate card used for evaluation pricing.
GET
/
v1
/
credits
Get credit balance and pricing
curl --request GET \
--url https://api.physionlabs.ai/v1/credits \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.physionlabs.ai/v1/credits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.physionlabs.ai/v1/credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"credits": 123,
"pricing": {
"per_second_per_detector": 1,
"cache_hit_rate": 1,
"minimum": 1,
"assumed_duration_sec": 1,
"per_second_by_detector": {
"visual_glitch": 1,
"prompt_misalignment": 1
},
"generation_from_catalog": true
},
"unlimited": true,
"per_generated_sec": 1
}{
"error": {
"type": "invalid_request_error",
"code": "invalid_body",
"message": "<string>",
"request_id": "<string>"
},
"quota": {
"limit": 1,
"used": 1,
"remaining": 1,
"reset_at": 1,
"reset_in_sec": 1,
"window_sec": 2,
"unlimited": true
}
}{
"error": {
"type": "invalid_request_error",
"code": "invalid_body",
"message": "<string>",
"request_id": "<string>"
},
"quota": {
"limit": 1,
"used": 1,
"remaining": 1,
"reset_at": 1,
"reset_in_sec": 1,
"window_sec": 2,
"unlimited": true
}
}⌘I
Get credit balance and pricing
